Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::HexagonAlignmentAnalyzer Class Reference

`#include <HexagonAlignment.h>`

## Public Member Functions
| HexagonAlignmentAnalyzer (int required_alignment)
template<typename T >
bool | is_aligned_impl (const T *op, int native_lanes, int64_t *aligned_offset)
| Analyze the index of a load/store instruction for alignment Returns true if it can determing that the address of the store or load is aligned, false otherwise.
bool | is_aligned (const Load *op, int64_t *aligned_offset)
bool | is_aligned (const Store *op, int64_t *aligned_offset)

## Detailed Description

Definition at line 14 of file HexagonAlignment.h.

## Constructor & Destructor Documentation

## ◆ HexagonAlignmentAnalyzer()

Halide::Internal::HexagonAlignmentAnalyzer::HexagonAlignmentAnalyzer | ( | int | required_alignment | ) |
| inline

Definition at line 18 of file HexagonAlignment.h.

References internal_assert.

## Member Function Documentation

## ◆ is_aligned_impl()

template<typename T >

bool Halide::Internal::HexagonAlignmentAnalyzer::is_aligned_impl | ( | const T * | op,
|  | int | native_lanes,
|  | int64_t * | aligned_offset
| ) |  |
| inline

Analyze the index of a load/store instruction for alignment Returns true if it can determing that the address of the store or load is aligned, false otherwise.

Definition at line 27 of file HexagonAlignment.h.

References Halide::Internal::IRHandle::as(), Halide::cast(), debug, internal_assert, Halide::Type::is_vector(), and Halide::Expr::type().

## ◆ is_aligned() [1/2]

bool Halide::Internal::HexagonAlignmentAnalyzer::is_aligned | ( | const Load * | op,
|  | int64_t * | aligned_offset
| ) |  |
| inline

Definition at line 56 of file HexagonAlignment.h.

References Halide::Type::bytes(), Halide::cast(), and Halide::Internal::BaseExprNode::type.

## ◆ is_aligned() [2/2]

bool Halide::Internal::HexagonAlignmentAnalyzer::is_aligned | ( | const Store * | op,
|  | int64_t * | aligned_offset
| ) |  |
| inline

Definition at line 61 of file HexagonAlignment.h.

References Halide::Type::bytes(), Halide::cast(), Halide::Expr::type(), and Halide::Internal::Store::value.

The documentation for this class was generated from the following file:

- src/HexagonAlignment.h